/* -------------------------------------------------------------------------- */
/* ----- master elements ---------------------------------------------------- */
/* -------------------------------------------------------------------------- */

/* ----- clear defaults ----------------------------------------------------- */

* {
    margin: 0;
    padding: 0;
}

/* ----- <body> ------------------------------------------------------------- */

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    color: white;
    background-color: black;
}

/* ----- <header> and <footer> ---------------------------------------------- */

header,
footer {
    width: 100%;
    max-width: 100%;
    text-align: center;
    background-color: #333;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* ----- <main> ------------------------------------------------------------- */

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: min(600px, 95vw);
    margin-left: auto;
    margin-right: auto;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* ----- fill parent width -------------------------------------------------- */

section,
figure {
    width: 100%;
    max-width: 100%;
}

/* ----- restore/set key padding/margins ------------------------------------ */

h1,
h2 {
    text-align: center;
}

h1 {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

h2 {
    margin-top: 1rem;
    margin-bottom: 2rem;
}

p {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

section {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

figure {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

hr {
    width: 150px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    border-color: gray;
}

/* -------------------------------------------------------------------------- */
/* ----- <main> elements ---------------------------------------------------- */
/* -------------------------------------------------------------------------- */

/* ----- <figure> ----------------------------------------------------------- */

figure {
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}

figure img,
figure video {
    width: auto;
    max-width: 30%;
    height: auto;
    object-fit: contain;
}

figure.single-fit-image-figure img {
    width: 100%;
    max-width: 100%;
}

figure.double-image-figure img {
    max-width: 40%;
}

figure.single-image-figure img {
    max-width: 50%;
}

/* ----- unassuming pointers ------------------------------------------------ */

[onclick]:hover {
    cursor: pointer;
}

/* ----- text appearance ---------------------------------------------------- */

em {
    color: #FFD1DC;
    font-style: normal;
}

strong {
    color: magenta;
}

.heading {
    color: lightgreen;
    font-weight: bold;
}

.subheading {
    color: #FFAD66;
    font-weight: bold;
}

/* ----- anchor links ------------------------------------------------------- */

a,
a.heading,
a.subheading {
    color: #39A3FF;
    text-decoration: none;
    white-space: nowrap;
}

a:hover {
    text-decoration: underline;
}